# Test: Menu items with all valid command target types
# Expected: PASS

agent:
  metadata:
    id: all-commands
    name: All Command Types
    title: All Commands
    icon: 🧪
    hasSidecar: false

  persona:
    role: Test agent with all command types
    identity: I test all available command target types.
    communication_style: Clear
    principles:
      - Test all command types

  menu:
    - trigger: workflow-test
      description: Test workflow command
      workflow: path/to/workflow
    - trigger: validate-test
      description: Test validate-workflow command
      validate-workflow: path/to/validation
    - trigger: exec-test
      description: Test exec command
      exec: npm test
    - trigger: action-test
      description: Test action command
      action: perform_action
    - trigger: tmpl-test
      description: Test tmpl command
      tmpl: path/to/template
    - trigger: data-test
      description: Test data command
      data: path/to/data
  